services:
  kamco-changedetection-api:
    build:
      context: .
      dockerfile: Dockerfile-dev
    image: kamco-changedetection-api:${IMAGE_TAG:-latest}
    container_name: kamco-changedetection-api
    ports:
      - "7100:8080"
    environment:
      - SPRING_PROFILES_ACTIVE=dev
      - TZ=Asia/Seoul
    volumes:
      - /mnt/nfs_share/images:/app/original-images
      - /mnt/nfs_share/model_output:/app/model-outputs
      - /mnt/nfs_share/train_dataset:/app/train-dataset
    networks:
      - kamco-cds
    restart: unless-stopped
    healthcheck:
      test: [ "CMD", "curl", "-f", "http://localhost:8080/monitor/health" ]
      interval: 10s
      timeout: 5s
      retries: 5
      start_period: 40s

networks:
  kamco-cds:
    external: true
